Skip to content

Partially updates a coupon with the specified ID.

Request

This method will patch an existing coupon with the specified ID, using the HTTP PATCH specification.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

idstringrequired

The ID of the coupon to patch.

Bodyapplication/jsonrequired

The patch directives conforming to RFC 6902.

Array [
opstring(Op)required

The operation

Enum:"add""copy""move""remove""replace""test"
pathstring(Path)required

The JSON path

valuestring(Value)
]
curl -i -X PATCH \
  'https://docs.api.rhythmsoftware.com/_mock/apis/commerce/commerce-v1/coupons/{tenantId}/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '[
    {
      "op": "add",
      "path": "string",
      "value": "string"
    }
  ]'

Responses

The coupon was patched successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
amountnumber, (float)(Amount)required

Amount of the discount

applies_to_career_center_packagesboolean(Applies To Career Center Packages)

Whether or not this coupon applies to career center packages

applies_to_miscellaneous_productsboolean(Applies To Miscellaneous Products)

Whether or not this coupon applies to misc products

code_generation_htmlstring(Code Generation Html)

HTML you can add into HTML generation for the code

custom_field_valuesArray of objects(Custom Field Values)
discount_product_idstring(Discount Product)required

The product uses for the discount code when it is at the order level

expiration_datestring, (date-time)(Expiration Date)

The date/time that this coupon expires

idstring(ID)^[\w|-]+$required

The unique, string identifier of this coupon

is_activeboolean(Is Active)required

Whether this coupon is enabled

limit_to_product_categoriesArray of strings(Limit To Product Categories)

Limit purchase to particular product categories

limit_to_productsArray of strings(Limit To Products)

Limit purchase to particular products

limit_total_usesinteger(Limit Total Uses)

The maximum number of times this coupon can be used

limit_uses_per_customerinteger(Limit Uses Per Customer)

The maximum number of times this coupon can be used by a particular customer

maximum_discountnumber, (float)(Maximum Discount)

The optional maximum discount that this coupon can yield, irrespective of its configuration

minimum_purchasenumber, (double)(Minimum Purchase)

Minimum a customer must purchase to qualify for coupon

namestring(Name)required

The name of the coupon

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

typestring(Type)required

The type of discount to apply

Enum:"fixed amount off each item""fixed amount off order""fixed amount off shipping""free shipping""percentage off each item"
Response
{ "amount": 0.1, "applies_to_career_center_packages": true, "applies_to_miscellaneous_products": true, "code_generation_html": "string", "custom_field_values": [ { … } ], "discount_product_id": "string", "expiration_date": "2019-08-24T14:15:22Z", "id": "string", "is_active": true, "limit_to_product_categories": [ "string" ], "limit_to_products": [ "string" ], "limit_total_uses": 0, "limit_uses_per_customer": 0, "maximum_discount": 0.1, "minimum_purchase": 0.1, "name": "string", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "type": "fixed amount off each item" }